=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.11.2),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.11.5),
  libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armhf], libnova-dev, libqt4-opengl-dev [!armhf], pkg-config, xplanet,
  libindi-dev [linux-any], wcslib-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kstars.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kstars.git
