=== kstars/tools/whatsinteresting/qml/CMakeLists.txt ===
#install_files

install( FILES wiview.qml ScrollBar.qml
         leftArrow.png
         settingsIcon.png
         reloadIcon.png
         next.png
         previous.png
         DESTINATION  ${DATA_INSTALL_DIR}/kstars/tools/whatsinteresting/qml )
