=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.12.3),
- libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.13.0),
+ libeigen3-dev (>> 2.91.0), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armhf], libnova-dev, libqt4-opengl-dev [!armhf], pkg-config, xplanet,
- libindi-dev (>= 0.9.6) [linux-any], wcslib-dev
+ libindi-dev (>= 0.9.7) [linux-any], wcslib-dev, libqjson-dev, libeigen3-dev, astrometry.net
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
@@ -23,6 +23,7 @@
 Section: science
 Depends: ${shlibs:Depends}, ${misc:Depends}, kstars-data (>= ${source:Version})
 Suggests: konqueror, khelpcenter4, indi-bin [linux-any], xplanet
+Recommends: astrometry.net
 Description: desktop planetarium for KDE
  KStars is a desktop planetarium for KDE, depicting an accurate graphical
  simulation of the night sky, from any location on Earth, at any date and time.
