=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.13.0),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.13.3),
  libeigen3-dev (>> 2.91.0), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armhf], libnova-dev, libqt4-opengl-dev [!armhf], pkg-config, xplanet,
  libindi-dev (>= 0.9.7) [linux-any], wcslib-dev, libqjson-dev, libeigen3-dev, astrometry.net
