## kstars 4.13.97

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 find_package(Eigen3 REQUIRED)
 find_package(KDE4   REQUIRED)
+
 include(KDE4Defaults)
 include_directories (${CMAKE_SOURCE_DIR}
                      ${CMAKE_BINARY_DIR}
@@ -21,6 +22,12 @@
 # some configure checks needed for kstars
 include(CheckIncludeFiles)
 
+macro_optional_find_package(PyKDE4)
+macro_log_feature(PYKDE4_FOUND "python-kde4"
+                                "Bindings for Python in KDE4 used for updating supernovae data in KStars."
+                                "http://www.kde.org"
+                                FALSE "4.13" "")
+
 macro_optional_find_package(CFitsio)
 macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
 macro_log_feature(CFITSIO_FOUND "libcfitsio0"
@@ -28,12 +35,12 @@
                                 "http://indi.sf.net"
                                 FALSE "3.09" "")
 
-macro_optional_find_package(INDI 0.9.6)
+macro_optional_find_package(INDI 0.9.8)
 macro_bool_to_01(INDI_FOUND HAVE_INDI_H)
 macro_log_feature(INDI_FOUND "libindi"
                              "Support for controlling astronomical devices on Linux with KStars."
                              "http://www.indilib.org"
-                             FALSE "0.9.6" "")
+                             FALSE "0.9.8" "")
 
 macro_optional_find_package(WCSLIB)
 macro_bool_to_01(WCSLIB_FOUND HAVE_WCSLIB)
@@ -77,6 +84,8 @@
 add_subdirectory(datahandlers)
 add_subdirectory(Tests)
 
+install(FILES kstars.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)
+
 if (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
    macro_display_feature_log()
 endif (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
