=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               dpkg-dev (>= 1.15.5),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.13.97),
               libcfitsio3-dev (>= 3.040),
               libeigen3-dev (>> 2.0.3),
               libglu1-mesa-dev [!armhf],
               libindi-dev (>= 0.9.6),
               libnova-dev,
               libqjson-dev,
               libqt4-opengl-dev [!armhf],
               pkg-config,
               pkg-kde-tools (>= 0.12),
               wcslib-dev,
               xplanet (>= 1.0),
               zlib1g-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kstars.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kstars.git

Package: kstars
Architecture: any
Section: science
Depends: kstars-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4, konqueror
Recommends: astrometry.net, indi-bin, xplanet
Description: desktop planetarium for KDE
 KStars is a desktop planetarium for KDE, depicting an accurate graphical
 simulation of the night sky, from any location on Earth, at any date and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids.  It includes tools
 for astronomical calculations and can control telescopes and cameras.
 .
 This package is part of the KDE education module.

Package: kstars-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

Package: kstars-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kstars (= ${binary:Version}), ${misc:Depends}
Description: debug information for the desktop planetarium for KDE
 This package contains debugging files used to investigate problems with the
 desktop planetarium for KDE.
