## kstars 4.14.1

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                dpkg-dev (>= 1.15.5),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.13.97),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14.1),
                libcfitsio3-dev (>= 3.040),
                libeigen3-dev (>> 2.0.3),
                libglu1-mesa-dev [!armhf],
-               libindi-dev (>= 0.9.6),
+               libindi-dev (>= 0.9.8),
                libnova-dev,
                libqjson-dev,
                libqt4-opengl-dev [!armhf],
