=== debian/control ===
--- 
+++ 
@@ -1,40 +1,37 @@
 Source: kstars
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                dpkg-dev (>= 1.15.5),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
                libcfitsio3-dev (>= 3.040),
                libeigen3-dev (>> 2.0.3),
-               libglu1-mesa-dev [!armhf],
+               libglu1-mesa-dev,
                libindi-dev (>= 0.9.8),
                libnova-dev,
                libqjson-dev,
-               libqt4-opengl-dev [!armhf],
+               libqt4-opengl-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
+               python-kde4 (>= 4:4.13),
                wcslib-dev,
                xplanet (>= 1.0),
                zlib1g-dev
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kstars.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kstars.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kstars.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kstars.git
 
 Package: kstars
 Architecture: any
 Section: science
 Depends: kstars-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Suggests: khelpcenter4, konqueror
-Recommends: astrometry.net, indi-bin, xplanet
+Suggests: indi-bin [linux-any], khelpcenter4, konqueror, xplanet
 Description: desktop planetarium for KDE
  KStars is a desktop planetarium for KDE, depicting an accurate graphical
  simulation of the night sky, from any location on Earth, at any date and time.
