## kstars 14.12.3

=== debian/changelog ===
kstars (4:14.12.3-0ubuntu2) vivid; urgency=medium

  * debian/tests/control: Depend on @builddeps@ instead of build-essential.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Mar 2015 16:10:17 +0100
