=== debian/control ===
--- 
+++ 
@@ -1,37 +1,38 @@
 Source: kstars
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                dpkg-dev (>= 1.15.5),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libcfitsio3-dev (>= 3.040),
                libeigen3-dev (>> 2.0.3),
-               libglu1-mesa-dev,
+               libglu1-mesa-dev [!armhf],
                libindi-dev (>= 0.9.8),
                libnova-dev,
                libqjson-dev,
-               libqt4-opengl-dev,
+               libqt4-opengl-dev [!armhf],
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               python-kde4 (>= 4:4.13),
+               python-kde4-dev (>= 4:4.13),
                wcslib-dev,
                xplanet (>= 1.0),
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kstars.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kstars.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kstars.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kstars.git
 
 Package: kstars
 Architecture: any
 Section: science
 Depends: kstars-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Suggests: indi-bin [linux-any], khelpcenter4, konqueror, xplanet
+Suggests: khelpcenter, konqueror
+Recommends: astrometry.net, indi-bin, xplanet
 Description: desktop planetarium for KDE
  KStars is a desktop planetarium for KDE, depicting an accurate graphical
  simulation of the night sky, from any location on Earth, at any date and time.
