=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, cmake,
         xvfb, xauth, dbus-x11
Restrictions: build-needed
