## kstars 15.08.2

=== debian/changelog ===
kstars (4:15.04.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release.
  * Add new depend astrometry.net 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 28 Apr 2015 14:23:53 -0700

kstars (4:14.12.3-0ubuntu2) UNRELEASED; urgency=medium

  * manual merge 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 20:16:49 -0700
