=== debian/control ===
--- 
+++ 
@@ -3,21 +3,37 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: astrometry.net,
+               cmake,
                debhelper (>= 9),
                dpkg-dev (>= 1.15.5),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               extra-cmake-modules (>= 1.3.0),
+               kdoctools-dev,
+               kinit-dev,
+               kio-dev,
                libcfitsio3-dev (>= 3.040),
                libeigen3-dev (>> 2.0.3),
                libglu1-mesa-dev [!armhf],
-               libindi-dev (>= 0.9.8),
+               libindi-dev (>= 1.0.0),
+               libkf5config-dev,
+               libkf5dbusaddons-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5jobwidgets-dev,
+               libkf5newstuff-dev,
+               libkf5plotting-dev,
+               libkf5texteditor-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
                libnova-dev,
-               libqjson-dev,
-               libqt4-opengl-dev [!armhf],
+               libqt5opengl5-dev (>= 5.2),
+               libqt5svg5-dev (>= 5.2),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               python-kde4-dev (>= 4:4.13),
+               qtdeclarative5-dev (>= 5.2),
+               qtmultimedia5-dev (>= 5.2),
                wcslib-dev,
                xplanet (>= 1.0),
                zlib1g-dev
